libzypp 17.37.10

zypp::PoolQueryAttr Struct Reference

represents all atributes in PoolQuery except SolvAtributes, which are used as is (not needed extend anything if someone adds new solv attr) More...

Inheritance diagram for zypp::PoolQueryAttr:

## Public Member Functions
| PoolQueryAttr ()
| PoolQueryAttr (const char *cstr_r)
| PoolQueryAttr (const std::string &str_r)
Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
IdString | idStr () const
bool | empty () const
unsigned | size () const
const char * | c_str () const
std::string | asString () const
IdType | id () const
| operator bool () const
| Evaluate in a boolean context ( !
| operator IdString () const
| Explicit conversion to IdString.
| operator std::string () const
| Explicit conversion to std::string.

## Static Public Attributes
static const PoolQueryAttr | noAttr
static const PoolQueryAttr | repoAttr
static const PoolQueryAttr | kindAttr
static const PoolQueryAttr | commentAttr
static const PoolQueryAttr | stringAttr
static const PoolQueryAttr | stringTypeAttr
static const PoolQueryAttr | requireAllAttr
static const PoolQueryAttr | caseSensitiveAttr
static const PoolQueryAttr | installStatusAttr
static const PoolQueryAttr | editionAttr
static const PoolQueryAttr | complexAttr

## Private Attributes
IdString | _str

## Friends
class | IdStringType< PoolQueryAttr >

## Additional Inherited Members
Public Types inherited from zypp::IdStringType< PoolQueryAttr >
using | IdType
Static Public Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
static int | compare (const PoolQueryAttr &lhs, const PoolQueryAttr &rhs)
Protected Member Functions inherited from zypp::IdStringType< PoolQueryAttr >
| IdStringType ()=default
IdStringType & | operator= (const IdStringType &)=default
| ~IdStringType ()=default
Static Protected Member Functions inherited from zypp::sat::detail::PoolMember
static PoolImpl & | myPool ()
Related Symbols inherited from zypp::IdStringType< PoolQueryAttr >
std::ostream & | operator<< (std::ostream &str, const IdStringType< PoolQueryAttr > &obj)
| Stream output.
bool | operator== (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Equal.
bool | operator!= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| NotEqual.
bool | operator< (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Less.
bool | operator<= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| LessEqual.
bool | operator> (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| Greater.
bool | operator>= (const IdStringType< PoolQueryAttr > &lhs, const IdStringType< PoolQueryAttr > &rhs)
| GreaterEqual.

## Detailed Description

represents all atributes in PoolQuery except SolvAtributes, which are used as is (not needed extend anything if someone adds new solv attr)

Definition at line 1071 of file PoolQuery.cc.

## Constructor & Destructor Documentation

## ◆ PoolQueryAttr() [1/3]

zypp::PoolQueryAttr::PoolQueryAttr | ( |  | ) |
| inline

Definition at line 1079 of file PoolQuery.cc.

## ◆ PoolQueryAttr() [2/3]

zypp::PoolQueryAttr::PoolQueryAttr | ( | const char * | cstr_r | ) |
| inline explicit

Definition at line 1081 of file PoolQuery.cc.

## ◆ PoolQueryAttr() [3/3]

zypp::PoolQueryAttr::PoolQueryAttr | ( | const std::string & | str_r | ) |
| inline explicit

Definition at line 1085 of file PoolQuery.cc.

## Friends And Related Symbol Documentation

## ◆ IdStringType< PoolQueryAttr >

friend class IdStringType< PoolQueryAttr >
| friend

Definition at line 729 of file PoolQuery.cc.

## Member Data Documentation

## ◆ _str

IdString zypp::PoolQueryAttr::_str
| private

Definition at line 1075 of file PoolQuery.cc.

## ◆ noAttr

const PoolQueryAttr zypp::PoolQueryAttr::noAttr
| static

Definition at line 1090 of file PoolQuery.cc.

## ◆ repoAttr

const PoolQueryAttr zypp::PoolQueryAttr::repoAttr
| static

Definition at line 1093 of file PoolQuery.cc.

## ◆ kindAttr

const PoolQueryAttr zypp::PoolQueryAttr::kindAttr
| static

Definition at line 1094 of file PoolQuery.cc.

## ◆ commentAttr

const PoolQueryAttr zypp::PoolQueryAttr::commentAttr
| static

Definition at line 1095 of file PoolQuery.cc.

## ◆ stringAttr

const PoolQueryAttr zypp::PoolQueryAttr::stringAttr
| static

Definition at line 1096 of file PoolQuery.cc.

## ◆ stringTypeAttr

const PoolQueryAttr zypp::PoolQueryAttr::stringTypeAttr
| static

Definition at line 1097 of file PoolQuery.cc.

## ◆ requireAllAttr

const PoolQueryAttr zypp::PoolQueryAttr::requireAllAttr
| static

Definition at line 1098 of file PoolQuery.cc.

## ◆ caseSensitiveAttr

const PoolQueryAttr zypp::PoolQueryAttr::caseSensitiveAttr
| static

Definition at line 1099 of file PoolQuery.cc.

## ◆ installStatusAttr

const PoolQueryAttr zypp::PoolQueryAttr::installStatusAttr
| static

Definition at line 1100 of file PoolQuery.cc.

## ◆ editionAttr

const PoolQueryAttr zypp::PoolQueryAttr::editionAttr
| static

Definition at line 1101 of file PoolQuery.cc.

## ◆ complexAttr

const PoolQueryAttr zypp::PoolQueryAttr::complexAttr
| static

Definition at line 1102 of file PoolQuery.cc.

The documentation for this struct was generated from the following file:

- zypp/PoolQuery.cc